### File

`packages/ecl/components/ecl-tabs/ecl-tab-label.component.ts`

### Description

Component representing a tab label within ECL Tabs. Used as a container for the tab's visual label content.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-tab-label`
templateUrl | `./ecl-tab-label.component.html`

### Index

###### Properties
el
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

el
Type : `unknown`
Default value : `inject(ElementRef)`

# results matching ""

# No results matching ""